EDIT - bug #7344

TaxonNamesEditor to fill authorship fields automatically if nomref and basionym are set?
04/05/2018 04:48 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

We misunderstood how the authorship fields in the TaxonName are used by the cdm library. In contrast to the current
implementation of the TaxonNamePopupEditor, the various authorships are not derived from the nomenclatural reference or from the
basionym. It is required to add these explicitly to the TaxonName. This is redundant and adds an extra effort in entering a
TaxonName via the TaxonNamePopupEditor. For performance reasons and in the context of other project it is better and more
straight forward to have this redundancy.

In order to ease the manual data entry it could make sense to fill the authorship fields automatically based on the nomencaltural
reference and on the basionym if these are set. The fields should be hidden in case the authorship derived this way is equal to the
value of the names authorship field. Otherwise a notification should be shown to the user: "The ....authors differ from the authors in
the .... This could be an error, please double check if this deviation is by purpose." For combination authors: "If the authors of the
name differ from the authors of the current nomenclatural reference you can create a section with different authors as in-reference of
the current nomenclatural reference."

Associated revisions

Revision e90e4ec3 - 04/06/2018 01:46 PM - Andreas Kohlbecker

ref #7344 new TaxonNameEditor mode to allow autofilling of name authorship fields

Revision 810e8605 - 04/06/2018 04:24 PM - Andreas Kohlbecker

ref #7344 inferring authorship from the editor fields, reducing calls to updateAuthorshipFields(), fixing valueChange event handling

Revision 13d24007 - 04/09/2018 11:32 AM - Andreas Kohlbecker

ref #7344 updating presenter entity caches with beans modified in popup editors and refreshing teamOrPerson Fields

Revision e5e64d18 - 04/09/2018 04:31 PM - Andreas Kohlbecker

ref #7344 updating presenter entity caches with beans modified in popup editors and refreshing teamOrPerson Fields (2)

e adding entity as field to EntityChangeEvent
¢ replacing all onDoneWithEditor listener methods by according onEntityChangeEvent methods

History

#1 - 04/06/2018 05:05 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 0 to 40

#2 - 04/06/2018 05:06 PM - Andreas Kohlbecker

- Description updated

#3 - 04/09/2018 11:34 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 40 to 50

Henning, this issue should be fully solved now, and you are welcome to review this ticket.
#4 - 08/03/2018 01:59 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
- Priority changed from New to Highest

- % Done changed from 50 to 100

works!
